LR_CHECK_PREREQ(1)

NAME
lr_check_prereq - check Lire prerequisites

SYNOPSIS
lr_check_prereq [-i] format

OPTIONS
Check wether we're able to generate images, to display charts.

DESCRIPTION
lr_check_prereq tests wether software, needed for Lire to generated output in format, is available on the system. For most tests, the results from configure, which was run before Lire was build, are used. When the needed software is not found on the system, lr_check_prereq exits with 1. If all requirements are met, exit status is zero.

Supported format's are: xml, txt, excel95, pdf, html, html_page, docbookx, xhtml, xhtml_page, rtf and logml.

This script is called by lr_log2report(1), so that it's able to abort early, when asked for an output format, not supported by the system.

Output on stderr is in the format expected by lr_run(1).

SEE ALSO
lr_log2report(1), documentation in the Lire User Manual

VERSION
This manpage: $Id: lr_check_prereq.pod,v 1.2 2002/07/21 18:15:55 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000, 2001, 2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

AUTHOR
Francis J. Lacoste <flacoste@logreport.org>